module Micropub
  class Response
    attr_reader :status, :body, :location
    def initialize(response)
      @status   = response.status
      @body     = response.body
      @location = response.headers["Location"]
    end

    def successful?
      (201...399).include? status
    end
  end
end
